PHP Version:
Complexity:
Subject: Including the CSC typoscript in external files the afterStaticUid 43 magic won't be included
Description

If you include the loading of typoscript from css_styled_content in an external file, the typoscipt 
added by afterStaticUid 43 magic method won't be loaded or will be overwritten.

Perhaps it could be made possible to also load the typoscript in
$TYPO3_CONF_VARS['FE']['defaultTypoScript_setup']['.cssstyledcontent/static/'] 
after the including by 
<INCLUDE_TYPOSCRIPT: source="FILE:EXT:css_styled_content/static/setup.txt">

Related issues:
related to Core - Bug # 49461: Cannot load css_styled_content TS using INCLUD... Resolved 2013-06-27
related to Core - Bug # 59318: Loading css_styled_content TS using INCLUDE_TY... Resolved 2014-06-03

Associated revisions
Revision 5adfc5f4 - 2013-07-09 22:09 - Ingo Renner

[BUGFIX] Cannot load css_styled_content TS using INCLUDE_TYPOSCRIPT

When installing extensions they may register plugins in ext_localconf.php.
By doing so some default TypoScript is generated in
Extensionutility::configurePlugin() that is then added using
ExtensionManagementUtility::addTypoScript().

Parts of the generated TypoScript are stored in
$TYPO3_CONF_VARS['FE']['contentRenderingTemplates']* and are loaded later
during TypoScript parsing after including the content rendering template.

These TS parts are used to resolve which classes and methods to call when
a plugin needs to be rendered on a page. You can find them in
tt_content.list.20.*

"content default" used to be the old content rendering template with uid
43, today we use css_styled_content instead. The part in the TypoScript
processing chain to load these generated snippets -
TemplateService::includeStaticTypoScriptSources() - is only executed when
loading the content rendering templates using the "Include static (from
extensions)" field in template records.

In return this means if you try to move as much TS to files as possible
you will still have to include css_styled_content through the Template
records in the backend. In other words when actually trying to include
css_styled_content TS from a file, the generated snippets for
tt_content.list.20.* will not be loaded and thus no plugin can be
executed.

Resolves: #49461
Resolves: #44983
Releases: 6.2, 6.1, 6.0
Change-Id: I77c0d64759fa0b5b27cac0ae1acd55e9abefe7f8
Reviewed-on: https://review.typo3.org/21679
Reviewed-by: Markus Klein
Reviewed-by: Marc Bastian Heinrichs
Tested-by: Marc Bastian Heinrichs
Reviewed-by: Ingo Renner
Tested-by: Ingo Renner

Revision 869b7729 - 2013-07-09 23:26 - Ingo Renner

[BUGFIX] Cannot load css_styled_content TS using INCLUDE_TYPOSCRIPT

When installing extensions they may register plugins in ext_localconf.php.
By doing so some default TypoScript is generated in
Extensionutility::configurePlugin() that is then added using
ExtensionManagementUtility::addTypoScript().

Parts of the generated TypoScript are stored in
$TYPO3_CONF_VARS['FE']['contentRenderingTemplates']* and are loaded later
during TypoScript parsing after including the content rendering template.

These TS parts are used to resolve which classes and methods to call when
a plugin needs to be rendered on a page. You can find them in
tt_content.list.20.*

"content default" used to be the old content rendering template with uid
43, today we use css_styled_content instead. The part in the TypoScript
processing chain to load these generated snippets -
TemplateService::includeStaticTypoScriptSources() - is only executed when
loading the content rendering templates using the "Include static (from
extensions)" field in template records.

In return this means if you try to move as much TS to files as possible
you will still have to include css_styled_content through the Template
records in the backend. In other words when actually trying to include
css_styled_content TS from a file, the generated snippets for
tt_content.list.20.* will not be loaded and thus no plugin can be
executed.

Resolves: #49461
Resolves: #44983
Releases: 6.2, 6.1, 6.0
Change-Id: I77c0d64759fa0b5b27cac0ae1acd55e9abefe7f8
Reviewed-on: https://review.typo3.org/22169
Reviewed-by: Ingo Renner
Tested-by: Ingo Renner

Revision 2e72afb8 - 2013-07-09 23:26 - Ingo Renner

[BUGFIX] Cannot load css_styled_content TS using INCLUDE_TYPOSCRIPT

When installing extensions they may register plugins in ext_localconf.php.
By doing so some default TypoScript is generated in
Extensionutility::configurePlugin() that is then added using
ExtensionManagementUtility::addTypoScript().

Parts of the generated TypoScript are stored in
$TYPO3_CONF_VARS['FE']['contentRenderingTemplates']* and are loaded later
during TypoScript parsing after including the content rendering template.

These TS parts are used to resolve which classes and methods to call when
a plugin needs to be rendered on a page. You can find them in
tt_content.list.20.*

"content default" used to be the old content rendering template with uid
43, today we use css_styled_content instead. The part in the TypoScript
processing chain to load these generated snippets -
TemplateService::includeStaticTypoScriptSources() - is only executed when
loading the content rendering templates using the "Include static (from
extensions)" field in template records.

In return this means if you try to move as much TS to files as possible
you will still have to include css_styled_content through the Template
records in the backend. In other words when actually trying to include
css_styled_content TS from a file, the generated snippets for
tt_content.list.20.* will not be loaded and thus no plugin can be
executed.

Resolves: #49461
Resolves: #44983
Releases: 6.2, 6.1, 6.0
Change-Id: I77c0d64759fa0b5b27cac0ae1acd55e9abefe7f8
Reviewed-on: https://review.typo3.org/22170
Reviewed-by: Ingo Renner
Tested-by: Ingo Renner

History
#1 - 2013-06-29 22:09 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21679

#2 - 2013-07-04 17:26 - Gerrit Code Review
Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21679

#3 - 2013-07-09 19:41 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21679

#4 - 2013-07-09 19:58 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21679

#5 - 2013-07-09 22:30 - Ingo Renner
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5adfc5f45e18dd9dad4565f4d149ab09e6212d40.

#6 - 2013-07-09 23:11 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.
It is available at https://review.typo3.org/22169

#7 - 2013-07-09 23:12 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/22170

#8 - 2013-07-09 23:30 - Ingo Renner
- Status changed from Under Review to Resolved

Applied in changeset commit:2e72afb81087d3c4fa259b77d0b75d31eb957ea0.

2015-08-04 4/4

https://review.typo3.org/21679
https://review.typo3.org/21679
https://review.typo3.org/21679
https://review.typo3.org/22169
https://review.typo3.org/22170

